> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Выставление счета

> Выставляет счет на покупку снаряжения



## OpenAPI

````yaml POST /gear/{id}/checkout
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /gear/{id}/checkout:
    post:
      description: Выставляет счет на покупку снаряжения
      parameters:
        - name: id
          in: path
          description: Идентификатор намерения
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Успешное создание счета
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntentCheckoutResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    IntentCheckoutResponse:
      required:
        - code
        - checkoutId
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        paymentId:
          description: Идентификатор счета
          type: string
        paymentUrl:
          description: Ссылка на оплату
          type: string
        message:
          description: Сообщение об успешном выполнении операции
          type: string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````